Name:		ntfsprogs
Version:	1.7.1
Release:	alt2
Summary:	NTFS filesystem utilities
License:	GPL
Group:		System/Kernel and hardware
URL:		http://linux-ntfs.sf.net/
Packager:	Albert R. Valiev <darkstar@altlinux.ru>

Source0:	%name-%version.tar.bz2

# Automatically added by buildreq on Fri Jun 20 2003
BuildRequires: gcc-c++ glibc-devel-static libstdc++-devel

%description
The Linux-NTFS project (http://linux-ntfs.sf.net/) aims to bring full support
for the NTFS filesystem to the Linux operating system. Linux-NTFS currently
consists of a static library and utilities. This package contains the following
utilities:

NtfsFix - Attempt to fix an NTFS partition that has been damaged by the
    Linux NTFS driver. It should be run every time after you have used the Linux
    NTFS driver to write to an NTFS partition to prevent massive data corruption
    from happening when Windows mounts the partition.
    IMPORTANT: Run this only *after* unmounting the partition in Linux but *before*
    rebooting into Windows NT/2000!

mkntfs - Format a partition with the NTFS filesystem.

ntfslabel - Display/change the label of an NTFS partition.

ntfsundelete - Recover deleted files from an NTFS volume.

ntfsresize - Resize an NTFS volume.

%package -n libntfs
Summary:	NTFS filesystem libraries
Group:		System/Libraries

%description -n libntfs
The Linux-NTFS project (http://linux-ntfs.sf.net/) aims to bring full support
for the NTFS filesystem to the Linux operating system. Linux-NTFS currently
consists of a static library and utilities. 
This package contains NTFS filesystem libraries

%package -n libntfs-devel
Summary:	NTFS filesystem header files
Group:		Development/C
Requires:	libntfs = %version-%release

%description -n libntfs-devel
The Linux-NTFS project (http://linux-ntfs.sf.net/) aims to bring full support
for the NTFS filesystem to the Linux operating system. Linux-NTFS currently
consists of a static library and utilities. 
This package contains NTFS filesystem header files


%package -n libntfs-devel-static
Summary:	NTFS filesystem static libraries
Group: 		Development/C
Requires:	libntfs = %version-%release

%description -n libntfs-devel-static
The Linux-NTFS project (http://linux-ntfs.sf.net/) aims to bring full support
for the NTFS filesystem to the Linux operating system. Linux-NTFS currently
consists of a static library and utilities. 
This package contains NTFS filesystem static libraries

%prep

%setup -q -n %name-%version

%build

%configure
%make_build

%install
make DESTDIR=%buildroot install

%files

%attr(755,root,root) %_bindir/*
%attr(755,root,root) %_sbindir/*
%attr(755,root,root) %_man8dir/*

%files -n libntfs

%attr(755,root,root) %_libdir/libntfs.so.*

%files -n libntfs-devel

%attr(755,root,root) %_libdir/libntfs.so
%attr(755,root,root) %_libdir/libntfs.la

%dir %_includedir/ntfs
%attr(644,root,root) %_includedir/ntfs/*.h

%files -n libntfs-devel-static
%attr(644,root,root) %_libdir/libntfs.a

%changelog
* Tue Jun 24 2003 Albert R. Valiev <darkstar@altlinux.ru> 1.7.1-alt2
- deps correction

* Fri Jun 20 2003 Albert R. Valiev <darkstar@altlinux.ru> 1.7.1-alt1
- Initial build

